Recommended update for resource-agents

SUSE Recommended Update: Recommended update for resource-agents
Announcement ID: SUSE-RU-2019:2882-1
Rating: moderate
References: #1114855 #1125138 #1131793 #1132853 #1133337 #1133962 #1137038 #1137231 #1138281 #1140874
Affected Products:
  • SUSE Linux Enterprise High Availability 15

An update that has 10 recommended fixes can now be installed.

Description:

This update for resource-agents fixes the following issues:

  • Apache resource agent is not working when "statusurl" value is being set. (bsc#1138281)
  • Allow empty password for "check_passwd" parameter. (bsc#1132853, bsc#1131793)
  • Change message log level for the non-action messages. (bsc#1137038, bsc#1137231)
  • Fix implicit bytes conversion that breaks Python 3 and reduce the amount of errors messages by default. (bsc#1137038, bsc#1137231)
  • Fix version string with vendor trailer comparison in CTDB. (bsc#1133337)
  • Fix updating routing tables on virtual machines with multiple network interfaces. (bsc#1133962)
  • Fix LVM on initial probe. (bsc#1114855)
  • Setting multiple VPC routing tables. (bsc#1125138)
  • Created the symlink for the AWS resource agent due to backward compatibility reasons. (fate#326697)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2019-2882=1

Package List:

  • SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    • ldirectord-4.3.0184.6ee15eb2-3.26.1
    • resource-agents-4.3.0184.6ee15eb2-3.26.1
    • resource-agents-debuginfo-4.3.0184.6ee15eb2-3.26.1
    • resource-agents-debugsource-4.3.0184.6ee15eb2-3.26.1
  • SUSE Linux Enterprise High Availability 15 (noarch):
    • monitoring-plugins-metadata-4.3.0184.6ee15eb2-3.26.1

References: